org.apache.mina.http.api

## Class HttpContentChunk

- java.lang.Object
- - org.apache.mina.http.api.HttpContentChunk

All Implemented Interfaces:
  HttpPdu

    public class HttpContentChunk
    extends Object
    implements HttpPdu

A chunk of an HTTP request or response. can be follwowed by another chunk or `HttpEndOfContent` marking the end of the content

Author:
  Apache MINA Project

### Constructor Summary

Constructors
Constructor and Description
`HttpContentChunk(ByteBuffer content)`

### Method Summary

Methods
`ByteBuffer` `encode(HttpPduEncodingVisitor visitor)`
`ByteBuffer` `getContent()` The content of the chunk.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpContentChunk

    public HttpContentChunk(ByteBuffer content)

### Method Detail

#### getContent

    public ByteBuffer getContent()

The content of the chunk. A part of the HTTP message content.

#### encode

    public ByteBuffer encode(HttpPduEncodingVisitor visitor)

Specified by:
  `encode` in interface `HttpPdu`